--- a
+++ b/dist/bin/all-x.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+# bbou@ac-toulouse.fr
+# 25/11/2013 
+# dbtag [password]
+
+dbms='mysql'
+
+dbtag=$1
+shift
+if [ -z "${dbtag}" ]; then
+	echo "$0 <dbtag:30|31|31_snapshot>"
+	exit 1
+fi
+
+if [ -z "$PASSWORD" ]; then
+	PASSWORD=$1
+	shift
+	if [ -z "$PASSWORD" ]; then
+		read -s -p "enter root's password: " PASSWORD
+		echo
+		export PASSWORD
+	fi
+fi
+
+# D I R S
+distdir="`dirname $(readlink -m $0)`/"
+distdir="$(readlink -m ${distdir}/..)"
+echo "distdir=${distdir}"
+builderdir=${distdir}/../run
+builderdir="$(readlink -m ${builderdir})"
+echo "builderdir=${builderdir}"
+
+# M A I N
+echo "##### BUILD ${dbtag}#####"
+pushd ${builderdir}/bin > /dev/null
+./build-${dbtag}.sh ${dbtag} $PASSWORD
+popd > /dev/null
+
+echo "##### DUMP ${dbtag}#####"
+pushd ${thisdir}/bin > /dev/null
+./dump-${dbtag}.sh --schema ${dbtag} $PASSWORD
+popd > /dev/null
+
+echo "##### PACK ${dbtag}#####"
+pushd ${thisdir}/bin > /dev/null
+./pack.sh ${dbms} ${dbtag}
+popd > /dev/null
+
+echo "##### SQLITE ${dbtag}#####"
+pushd ${thisdir}/bin > /dev/null
+./make-sqlite-all.sh $PASSWORD
+popd > /dev/null
+